go-carbon 1.3.8 版本发布,新增 ToXXXStringWithTimezone 系列方法

栏目: 软件资讯 · 发布时间: 5年前

内容简介:carbon 是一个轻量级、语义化、对开发者友好的Golang时间处理库,支持链式调用、农历和gorm、xorm等主流orm。 如果您觉得不错,请给个 star 吧 github:github.com/golang-module/carbon gitee:gitee.com/go-pack...

carbon 是一个轻量级、语义化、对开发者友好的Golang时间处理库,支持链式调用、农历和gorm、xorm等主流orm。

如果您觉得不错,请给个 star 吧
github:github.com/golang-module/carbon
gitee:gitee.com/go-package/carbon

更新日志

  • 修复 Carbon 转换成 time.Time 时未带时区的 bug
  • 新增 ToDateTimeStringWithTimezone () 方法输出指定时区的日期时间字符串
  • 新增 ToDateStringWithTimezone () 方法输出指定时区的日期字符串
  • 新增 ToTimeStringWithTimezone () 方法输出指定时区的时间字符串
  • 新增 ToAnsicStringWithTimezone () 方法输出指定时区的 Ansic 格式字符串
  • 新增 ToAtomStringWithTimezone () 方法输出指定时区的 Atom 格式字符串
  • 新增 ToUnixDateStringWithTimezone () 方法输出指定时区的 UnixDate 格式字符串
  • 新增 ToRubyDateStringWithTimezone () 方法输出指定时区的 RubyDate 格式字符串
  • 新增 ToKitchenStringWithTimezone () 方法输出指定时区的 Kitchen 格式字符串
  • 新增 ToCookieStringWithTimezone () 方法输出指定时区的 Cookie 格式字符串
  • 新增 ToDayDateTimeStringWithTimezone () 方法输出指定时区的 DayDateTime 格式字符串
  • 新增 ToRssStringWithTimezone () 方法输出指定时区的 RSS 格式字符串
  • 新增 ToW3cStringWithTimezone () 方法输出指定时区的 W3C 格式字符串
  • 新增 ToRfc822StringWithTimezone () 方法输出指定时区的 RFC822 格式字符串
  • 新增 ToRfc822zStringWithTimezone () 方法输出指定时区的 RFC822Z 格式字符串
  • 新增 ToRfc850StringWithTimezone () 方法输出指定时区的 RFC850 格式字符串
  • 新增 ToRfc1036StringWithTimezone () 方法输出指定时区的 RFC1036 格式字符串
  • 新增 ToRfc1123StringWithTimezone () 方法输出指定时区的 RFC1123 格式字符串
  • 新增 ToRfc2822StringWithTimezone () 方法输出指定时区的 RFC2822 格式字符串
  • 新增 ToRfc3339StringWithTimezone () 方法输出指定时区的 RFC3339 格式字符串
  • 新增 ToRfc7231StringWithTimezone () 方法输出指定时区的 RFC7231 格式字符串

以上就是本文的全部内容,希望本文的内容对大家的学习或者工作能带来一定的帮助,也希望大家多多支持 码农网

查看所有标签

本站部分资源来源于网络,本站转载出于传递更多信息之目的,版权归原作者或者来源机构所有,如转载稿涉及版权问题,请联系我们。

大话存储

大话存储

张冬 / 清华大学出版社 / 2008-11 / 58.00元

网络存储,是近二十年来的新兴行业。从纸带到硬盘再到大型磁盘阵列,存储系统经历了从简单到复杂,从单块硬盘到存储区域网络(SAN)。网络存储行业目前已经是一个步入正轨的IT行业了。. 网络存储是一个涉及计算机硬件以及网络协议/技术、操作系统以及专业软件等各方面综合知识的领域。目前国内阐述网络存储的书籍少之又少,大部分是国外作品,对存储系统底层细节的描述不够深入,加之术语太多,初学者很难真正理解网......一起来看看 《大话存储》 这本书的介绍吧!

html转js在线工具
html转js在线工具

html转js在线工具

UNIX 时间戳转换
UNIX 时间戳转换

UNIX 时间戳转换

HSV CMYK 转换工具
HSV CMYK 转换工具

HSV CMYK互换工具